use strict;
use Test::More;
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Amazon::API::Object::RemoteAWS;
RunScript(
    Sub => sub {
        my $self = undef;
        my $hRef = {
                'a' =>'',
                'e' =>'',
                'i' =>'',
                'o' =>'',
                'u' =>'',
                'rest' =>'',
        };
         DE_EPAGES::Amazon::API::Object::RemoteAWS::replaceUmlaute($self,$hRef);## no critic (ProtectPrivateSubs)
        is( $hRef->{'e'}, 'eEeEeEeE', 'replace e Umlaute correctly' );
        is( $hRef->{'a'}, 'aAaAaAaAaeAeaA', 'replace a Umlaute correctly' );
        is( $hRef->{'i'}, 'iIiIiIiI', 'replace i Umlaute correctly' );
        is( $hRef->{'o'}, 'oOoOoOoOoeOe', 'replace o Umlaute correctly' );
        is( $hRef->{'u'}, 'uUuUuUyYyueUe', 'replace u Umlaute correctly' );
        is( $hRef->{'rest'}, 'pss', 'replace rest Umlaute correctly' );
        done_testing();
    }
);



