#!/bin/sh
#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBQKk0sl5jMabHSgyARAnodAJ9SptK3twwQeAlH3P7SCNWtfxhEIwCfe+iy
#mJFlCuv0Iwt9fD6HvD2cfvQ=
#=20RU
#-----END PGP SIGNATURE-----
RHINO=../js.jar
TEST=$1

# create shrinksafe.jar from src/
rm -rf bin
mkdir bin
cd src
javac -classpath $RHINO:. -d ../bin org/dojotoolkit/shrinksafe/Main.java
mkdir ../bin/org/dojotoolkit/shrinksafe/resources
cp org/dojotoolkit/shrinksafe/resources/Messages.properties ../bin/org/dojotoolkit/shrinksafe/resources/Messages.properties
cd ../bin
jar cfm ../shrinksafe.jar ../src/manifest *
cd ..
rm -rf bin

# call build.sh test to run the unit tests immediately
if [ "$TEST" == "test" ]; then
	echo "Running tests."
	cd tests
	./runner.sh  #| grep errors -1
fi
